# Asterisk Project : Asterisk 12 Application_SpeechActivateGrammar

Added by wikibot , edited by wikibot on Aug 29, 2013

# SpeechActivateGrammar()

### Synopsis

Activate a grammar.

### Description

This activates the specified grammar to be recognized by the engine. A grammar tells the speech recognition engine what to recognize, and how to portray it back to you in the dialplan. The grammar name is the only argument to this application.

Hangs up the channel on failure. If this is not desired, use TryExec.

### Syntax

    SpeechActivateGrammar(grammar_name)

##### Arguments

- `grammar_name`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown